LabelChunk (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.wave
Class LabelChunk

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.iff.Chunk
          edu.harvard.hul.ois.jhove.module.wave.SimpleTextChunk
              edu.harvard.hul.ois.jhove.module.wave.LabelChunk

    public class LabelChunk

extends SimpleTextChunk

Implementation of the WAVE Label Chunk.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`_dstream, _module, bytesLeft`

Constructor Summary
`LabelChunk(ModuleBase module, ChunkHeader hdr, java.io.DataInputStream dstrm)` Constructor.

Method Summary
`boolean` | `readChunk(RepInfo info)` Reads a chunk and adds to the module's list of labels.

Methods inherited from class edu.harvard.hul.ois.jhove.module.wave.SimpleTextChunk
`readTextProp`

Methods inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`byteBufString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelChunk

    public LabelChunk(ModuleBase module,
                      ChunkHeader hdr,
                      java.io.DataInputStream dstrm)

  Constructor.

  Parameters:
    `module` - The WaveModule under which this was called
    `hdr` - The header for this chunk
    `dstrm` - The stream from which the WAVE data are being read

Method Detail

### readChunk

    public boolean readChunk(RepInfo info)
                      throws java.io.IOException

  Reads a chunk and adds to the module's list of labels.

  Specified by:
    `readChunk` in class `Chunk`
  Parameters:
    `info` - RepInfo object to receive information
  Returns:
    `false` if the chunk is structurally invalid, otherwise `true`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD